Name:		dmalloc
Version:	4.2.0
Release:	5mdk
Summary:	Debugging MALLOC
License:	Distributable
Group:		Development/Other

Source:		%name-%version.tar.bz2
Patch0:		dmalloc-4.2.0-perl.patch.bz2
Patch1:		dmalloc-4.2.0-strdup.patch.bz2

Buildroot:	%_tmppath/%name-%version-%release-root

%description
The debug memory allocation or "dmalloc" library has been designed
as a drop in replacement for the system's `malloc', `realloc',
`calloc', `free' and other memory management routines while providing
powerful debugging facilities configurable at runtime.  These
facilities include such things as memory-leak tracking, fence-post write
detection, file/line number reporting, and general logging of
statistics.

%prep

%setup -q
%patch0 -p1
%patch1 -p1
rm -f contrib/*.orig

%build
%configure --prefix=%buildroot/%_prefix

%make

# test this puppy
make heavy

%install
%makeinstall

make infodir=%buildroot/%_infodir installinfo

# Install docs by hand
install -m 755 -d %buildroot/%_docdir/dmalloc-4.2.0

%clean
rm -fr %buildroot

%post
/sbin/install-info %_infodir/%name.info.*

%postun
/sbin/install-info --delete %_infodir/%name.info.*

%files
%defattr (-,root,root,-)
%doc ChangeLog NEWS NOTES README TODO 
%_includedir/*
%_libdir/*
%_infodir/*
%_bindir/*

%changelog
* Sat Mar 24 2001 David BAUDENS <baudens@mandrakesoft.com> 4.2.0-5mdk
- Build with gcc

* Thu Jan 04 2001 David BAUDENS <baudens@mandrakesoft.com> 4.2.0-4mdk
- Fix build (use egcs)
- Use %%configure, %%make and %%makeinstall macros
- Move documentation in right directory
- Fix %%doc
- Clean after build
- Spec clean up

* Tue Aug 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 4.2.0-3mdk
- BM

* Wed Apr 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 4.2.0-2mdk
- fix group 
- fix files section
- bzip2 patches

* Thu Feb 10 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build
